#!/usr/bin/perl
# SKK-JISYOΥΥơȤ
$Usage = "Usage: $ARGV[0] dictionary";

#--- interpret the command-line arguments
while ($ARGV[1]) {
    if ($ARGV[1] =~ /^-D/) {
	$Debug = 1;
    } elsif ($ARGV[1] =~ /^-./) {
        print STDERR "$Usage";
        exit 0;
    } else {
	last;
    }
    shift(@ARGV);
}

#--- Debug print
#$Debug = 1;
sub Dprint { if (defined($Debug)) { print(STDERR "Dbg: @_"); } return 0; }

#--- checking to set the necessary variables.

while ($lne = <>) {
    if ($lne =~ /^[^;]+;/) {
	if ($lne =~ /^([^\s]+) \/(.*)\/$/) {
	    $mds = $1;
	    $knj = $2;
	    @itms = split(/\//, $knj);
	    Dprint "($mds)[$knj]{@itms}\n";
	    print "$mds /";
	    foreach $itm (@itms) {
		Dprint "[$itm]-";
		$itm =~ s!\;.*!!g;
		Dprint ">[$itm]\n";
		if (length($itm) > 0) {
		    print "$itm/";
		}
	    }
	    print "\n";
	}
    } else {
	print $lne;
    }
}

exit 0
